Debian Bug report logs - #493898
freebsd-buildutils: missing manpages

version graph

Package: freebsd-buildutils; Maintainer for freebsd-buildutils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for freebsd-buildutils is src:freebsd-buildutils.

Reported by: "brian m. carlson" <sandals@crustytoothpaste.net>

Date: Tue, 5 Aug 2008 19:15:02 UTC

Severity: wishlist

Found in version freebsd-buildutils/7.0-1

Fixed in version freebsd-buildutils/8.2-1

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#493898; Package freebsd-buildutils. Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: freebsd-buildutils: missing manpages
Date: Tue, 5 Aug 2008 19:11:43 +0000
[Message part 1 (text/plain, inline)]
Package: freebsd-buildutils
Version: 7.0-1
Severity: wishlist

None of the programs that this package provides in /usr/bin have
manpages.  Since these programs don't necessarily act as the GNU
versions do, it's important to have manpages that describe how the
programs function.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages freebsd-buildutils depends on:
ii  bsdmainutils                6.1.10       collection of more utilities from 
ii  dash                        0.5.4-11     POSIX-compliant shell
ii  libbsd0                     0.0.1-1      utility functions from BSD systems
ii  libc6                       2.7-13       GNU C Library: Shared libraries
ii  make                        3.81-5       The GNU version of the "make" util
ii  original-awk                2007-10-23-1 The original awk described in "The
ii  patchutils                  0.2.31-4     Utilities to work with patches
ii  unzip                       5.52-12      De-archiver for .zip files

freebsd-buildutils recommends no packages.

freebsd-buildutils suggests no packages.

-- no debconf information

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
troff on top of XML: http://crustytoothpaste.ath.cx/~bmc/code/thwack
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Changed Bug submitter to '"brian m. carlson" <sandals@crustytoothpaste.net>' from '"brian m. carlson" <sandals@crustytoothpaste.ath.cx>' Request was from "brian m. carlson" <sandals@crustytoothpaste.net> to control@bugs.debian.org. (Thu, 03 Feb 2011 20:51:31 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sun, 29 May 2011 19:57:15 GMT) Full text and rfc822 format available.

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Tue, 31 May 2011 02:51:05 GMT) Full text and rfc822 format available.

Notification sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Bug acknowledged by developer. (Tue, 31 May 2011 02:51:05 GMT) Full text and rfc822 format available.

Message #14 received at 493898-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 493898-close@bugs.debian.org
Subject: Bug#493898: fixed in freebsd-buildutils 8.2-1
Date: Tue, 31 May 2011 02:47:13 +0000
Source: freebsd-buildutils
Source-Version: 8.2-1

We believe that the bug you reported is fixed in the latest version of
freebsd-buildutils, which is due to be installed in the Debian FTP archive:

freebsd-buildutils_8.2-1.debian.tar.gz
  to main/f/freebsd-buildutils/freebsd-buildutils_8.2-1.debian.tar.gz
freebsd-buildutils_8.2-1.dsc
  to main/f/freebsd-buildutils/freebsd-buildutils_8.2-1.dsc
freebsd-buildutils_8.2-1_amd64.deb
  to main/f/freebsd-buildutils/freebsd-buildutils_8.2-1_amd64.deb
freebsd-buildutils_8.2.orig.tar.gz
  to main/f/freebsd-buildutils/freebsd-buildutils_8.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 493898@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated freebsd-buildutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 31 May 2011 04:20:37 +0200
Source: freebsd-buildutils
Binary: freebsd-buildutils
Architecture: source amd64
Version: 8.2-1
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 freebsd-buildutils - Utilities for building FreeBSD sources
Closes: 493841 493898 594183 602768
Changes: 
 freebsd-buildutils (8.2-1) unstable; urgency=low
 .
   [ Robert Millan ]
   * 10_non_kfreebsd.diff: Make freebsd-make usable on non-kFreeBSD
     systems.  (Closes: #594183, #602768)
 .
   [ Guillem Jover ]
   * Now using Standards-Version 3.9.2 (no changes needed).
   * Switch to source format “3.0 (quilt)”.
     - Remove quilt from Build-Depends.
     - Remove patch target in debian/rules.
     - Remove now unneeded README.source.
     - Refresh all patches.
   * Use -C option for pmake instead of manually changing dir.
   * Stop Build-Depending on pmake, bootstrap freebsd-make using GNU make
     and use it as pmake instead of using it from the pmake package.
   * Switch to debhelper compatibility level 7.
     - Use dh_prep instead of “dh_clean -k”.
   * Only use MACHINE_ARCH in freebsd-make if it's defined.
   * Add support for Multi-Arch directories to freebsd-make:
     - Do not switch LIBDIR yet, the dynamic linker does not have the
       correct paths for i386 based architectures.
     - Add builtin MACHINE_MULTIARCH make variable.
   * Refactor source and tar name into SOURCE and TARNAME in debian/rules.
   * Line-wrap CFLAGS variable in debian/rules.
   * Install binaries directly to /usr/lib/freebsd instead of relocating them
     from /usr/bin and /usr/sbin.
   * Install the man pages. (Closes: #493898)
   * Change ‘unix’ freebsd-make variable to “We run Debian, not UNIX.” and
     remove ‘.FreeBSD’ freebsd-make variable. (Closes: #493841)
   * Intersperse Depends description comments between the actual dependencies.
   * Do not install profile and libfl.a hardlinks for freebsd-lex libln.a.
Checksums-Sha1: 
 418917fb3152c0384dbcf2973440a6ecf23e1523 1316 freebsd-buildutils_8.2-1.dsc
 c0824acfac1445e568d5a82cdf9ea206a861fc52 750699 freebsd-buildutils_8.2.orig.tar.gz
 3c8a23ae9c2528ebdc4b7b31e758f65a7b643125 31049 freebsd-buildutils_8.2-1.debian.tar.gz
 ae546d9c2b75f3cc883d0f8bb91843fc881e7b07 528610 freebsd-buildutils_8.2-1_amd64.deb
Checksums-Sha256: 
 5bf65e2de9750224aa52e501df46be7aca56dfdfe5d7942afc7832fc57206b02 1316 freebsd-buildutils_8.2-1.dsc
 096819d3611b43526254a867da327fa5b2f53b9cb5085cc8e179654e28b87052 750699 freebsd-buildutils_8.2.orig.tar.gz
 bb718e7911de75167b2cff1a3710ea9efca8476a4efaee331eb19cb941aaf955 31049 freebsd-buildutils_8.2-1.debian.tar.gz
 d857bd00f6c960fd9103a56bd571b88f1fec5cb8d98a35d0acb17dd1a6f119f3 528610 freebsd-buildutils_8.2-1_amd64.deb
Files: 
 63cb75a6c75ac4bc9a4a0eeac830d7c6 1316 devel extra freebsd-buildutils_8.2-1.dsc
 714fffaa2e4d168a5d66e080d17136e8 750699 devel extra freebsd-buildutils_8.2.orig.tar.gz
 24e54a2ebc5e1097be81b59ec83df213 31049 devel extra freebsd-buildutils_8.2-1.debian.tar.gz
 06e1603ccc392176ce17d1550f4c68ff 528610 devel extra freebsd-buildutils_8.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk3kUQsACgkQuW9ciZ2SjJsk7wCfZ/aRW2o6Tk3X6D5EPpjJpLBa
qM8AmwTOM5CC3wqq+igHQT3CSmgeGIZo
=PslZ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 23 Jul 2011 07:31:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 09:55:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.